package com.goafanti.organization.bo;

import java.math.BigDecimal;
import java.util.Date;


public class OutThirdPartyCompany  {

	private Integer costReduction;

	private Integer officialCost;
	private String officialUnitPrice;
	private String reductionAmount;

	private Integer  patentType;

	private BigDecimal proportion85;


	private Integer id;



	private Integer tid;



	private String companyName;



	private String unitPrice;



	private Integer quantity;



	private String totalAmount;



	private Integer material;



	private Integer urgent;



	private Integer audit;



	private String assets;



	private String income;



	private String remarks;



	private Date createTime;



	private Integer cid;



	private BigDecimal partyAmount;



	private Integer type;



	private Integer patentNameType;







	private Integer startType;




	public Integer getId() {
		return id;
	}






	public void setId(Integer id) {
		this.id = id;
	}



	public Integer getTid() {
		return tid;
	}




	public void setTid(Integer tid) {
		this.tid = tid;
	}




	public String getCompanyName() {
		return companyName;
	}




	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}




	public String getUnitPrice() {
		return unitPrice;
	}




	public void setUnitPrice(String unitPrice) {
		this.unitPrice = unitPrice;
	}




	public Integer getQuantity() {
		return quantity;
	}




	public void setQuantity(Integer quantity) {
		this.quantity = quantity;
	}




	public String getTotalAmount() {
		return totalAmount;
	}




	public void setTotalAmount(String totalAmount) {
		this.totalAmount = totalAmount;
	}




	public Integer getMaterial() {
		return material;
	}




	public void setMaterial(Integer material) {
		this.material = material;
	}




	public Integer getUrgent() {
		return urgent;
	}




	public void setUrgent(Integer urgent) {
		this.urgent = urgent;
	}




	public Integer getAudit() {
		return audit;
	}




	public void setAudit(Integer audit) {
		this.audit = audit;
	}




	public String getAssets() {
		return assets;
	}




	public void setAssets(String assets) {
		this.assets = assets;
	}




	public String getIncome() {
		return income;
	}




	public void setIncome(String income) {
		this.income = income;
	}




	public String getRemarks() {
		return remarks;
	}




	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}




	public Date getCreateTime() {
		return createTime;
	}




	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}




	public Integer getCid() {
		return cid;
	}




	public void setCid(Integer cid) {
		this.cid = cid;
	}




	public BigDecimal getPartyAmount() {
		return partyAmount;
	}




	public void setPartyAmount(BigDecimal partyAmount) {
		this.partyAmount = partyAmount;
	}




	public Integer getType() {
		return type;
	}




	public void setType(Integer type) {
		this.type = type;
	}




	public Integer getPatentNameType() {
		return patentNameType;
	}




	public void setPatentNameType(Integer patentNameType) {
		this.patentNameType = patentNameType;
	}

	public Integer getCostReduction() {
		return costReduction;
	}
	public void setCostReduction(Integer costReduction) {
		this.costReduction = costReduction;
	}
	public Integer getOfficialCost() {
		return officialCost;
	}
	public void setOfficialCost(Integer officialCost) {
		this.officialCost = officialCost;
	}






	public String getOfficialUnitPrice() {
		return officialUnitPrice;
	}






	public void setOfficialUnitPrice(String officialUnitPrice) {
		this.officialUnitPrice = officialUnitPrice;
	}






	public String getReductionAmount() {
		return reductionAmount;
	}






	public void setReductionAmount(String reductionAmount) {
		this.reductionAmount = reductionAmount;
	}






	public Integer getStartType() {
		return startType;
	}






	public void setStartType(Integer startType) {
		this.startType = startType;
	}






	public Integer getPatentType() {
		return patentType;
	}






	public void setPatentType(Integer patentType) {
		this.patentType = patentType;
	}






	public BigDecimal getProportion85() {
		return proportion85;
	}






	public void setProportion85(BigDecimal proportion85) {
		this.proportion85 = proportion85;
	}



}
